var tmpl=`
      <div style="border:none">
        <slot>请嵌入内容</slot>
    </div>
`
module.exports=
`{
   template:'${tmpl}',
   props:[],
   data:function(){
     return {
     };
   },
   mounted:function(){
     console.log("currentCodePath+++++++++++++++++++++++++++++++++++++++");
     console.log(this.$store.state.currentCodePath);
      if(this.$store.state.currentCodePath!="/" && this.$store.state.currentCodePath.indexOf("bycnoticeindex")<0  && this.$store.state.currentCodePath.indexOf("tmtransactionmarket")<0  &&  this.$store.state.currentCodePath.indexOf("orderpay")<0 &&  this.$store.state.currentCodePath.indexOf("paysuccess")<0 &&  this.$store.state.currentCodePath.indexOf("siteapply")<0   && this.$store.state.currentCodePath.indexOf("openPlatform")<0 && this.$store.state.currentCodePath.indexOf("bycquerytm")<0  &&  this.$store.state.currentCodePath.indexOf("bytmmonit")<0 &&  this.$store.state.currentCodePath.indexOf("bycnoticetm")<0 && this.$root.currentUser &&  this.$store.state.currentCodePath.indexOf("bycncldetail")<0){
                setTimeout(()=>{
                  this.$root.isShowMenu=true;
                  this.$root.isfront=false;
                  this.$root.showtabs();
                  this.$nextTick(()=>{
                     /*  this.$root.$refs.leftmenu.fetchMetaData();*/
                  });
                },100); 
            }else{
               if(this.$store.state.currentCodePath.indexOf("bycquerytm")>=0 || this.$store.state.currentCodePath.indexOf("tmtransactionmarket")>=0 ||  this.$store.state.currentCodePath.indexOf("orderpay")>=0 || this.$store.state.currentCodePath.indexOf("paysuccess")>=0 || this.$store.state.currentCodePath.indexOf("bycnoticetm")>=0){
                    this.$root.isShowMenu=false;
                    this.$root.showtopmenu();
                    this.$root.hidetabs();
                   $(".bycdirectsearch .el-tabs__nav-scroll").show();
                   $(".bycdirectsearch .el-tabs--border-card > .el-tabs__header").css("border-bottom", "solid 1px #eee");
              }else{
                  this.$root.isShowMenu=false;
                  this.$root.showtopmenu();
                   this.$root.hidetabs();
              }

            }
   },
   methods:{

   },
   vname:"gsb-pcpage"
}`
